package de.theserverside.designpatterns.decorator;

/**
 * Stellt im UML-Klassendiagramm "Decorator" dar, die
 * Basisklasse aller Erweiterungen des Verhaltens der Klasse
 * Textdatei ("Component").
 */
public abstract class TextdateiDekorierer extends Textdatei {
	/**
	 * Stellt die Basisimplementation fr das erweiterte
	 * Verhalten bereit.
	 */
	@Override
	public abstract String speichern(String dateiname);
}