package de.theserverside.designpatterns.decorator;

/**
 * Testet der Decorator-Klassen.
 */
public class VerwendeTextdateiDekorierer {
	public static void main(String[] args) {
		/*
		 * Erzeugt eine Textdatei und wrappt die Referenz auf
		 * diese in Objekte, die sie um Verhalten erweitern.
		 */
		Textdatei textdatei = new KonkreteTextdatei();
		textdatei = new EntitiesUmgewandeltTextdateiDekorierer(
				textdatei);
		textdatei = new KomprimierteTextdateiDekorierer(
				textdatei);
		textdatei.speichern("MeinDateiname.txt");
	}
}